var tinyMCE = tinymce;
tinyMCE.init({
    selector:"textarea:not(.mceNoEditor)",
    // theme : "modern",
    relative_urls : false,
    convert_urls : false,
    
    menubar: 'false', 
    removed_menuitems: 'undo redo',
    plugins: 'print preview powerpaste casechange importcss tinydrive searchreplace autolink autosave save directionality advcode visualblocks visualchars fullscreen image link media mediaembed template codesample table charmap hr pagebreak nonbreaking anchor toc insertdatetime advlist lists checklist wordcount tinymcespellchecker a11ychecker imagetools textpattern noneditable help formatpainter permanentpen pageembed charmap tinycomments mentions quickbars linkchecker emoticons advtable export code',
    toolbar: [ 
      'bold italic underline strikethrough | fontsize blocks | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | forecolor | table link image media | removeformat searchreplace code fullscreen ',
    ],
    fontsize_formats:
    "8pt 9pt 10pt 11pt 12pt 14pt 18pt 24pt 30pt 36pt 48pt 60pt 72pt 96pt",
    file_picker_types: 'image',
    file_picker_callback: function (cb, value, meta) {
      const input = document.createElement('input');
      input.setAttribute('type', 'file');
      //event listeners
      input.addEventListener('change', (e) => {
        const file = e.target.files[0];

        const reader = new FileReader();
        reader.addEventListener('load', () => {
          //handle data processing with a blob
          const id = 'blobid' + (new Date()).getTime();
          const blobCache =  tinymce.activeEditor.editorUpload.blobCache;
          const base64 = reader.result.split(',')[1];
          const blobInfo = blobCache.create(id, file, base64);
          blobCache.add(blobInfo);
          //Add a callback and get the file name
          cb(blobInfo.blobUri(), { title: file.name });
        });
        reader.readAsDataURL(file);
      });
      input.click();
    },
    paste_use_dialog : false,
    paste_auto_cleanup_on_paste : true,
    paste_convert_headers_to_strong : false,
    paste_strip_class_attributes : "all",
    paste_remove_spans : true,
    paste_remove_styles : true,
    paste_retain_style_properties : ""
});